> ## Documentation Index
> Fetch the complete documentation index at: https://jupiter-docs-beam-tx-jup-ag-submit.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Execute

> Execute the signed transaction and get the execution status



## OpenAPI

````yaml openapi-spec/recurring/recurring.yaml post /execute
openapi: 3.0.0
info:
  title: Jupiter Recurring Order API
  version: 1.0.0
  description: Jupiter Recurring Order API Schema
servers:
  - url: https://api.jup.ag/recurring/v1
    description: Jupiter Recurring Order API Endpoint
security: []
paths:
  /execute:
    post:
      summary: execute
      description: |
        Execute the signed transaction and get the execution status
      operationId: execute
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ExecuteRecurring'
            example:
              requestId: a1b2c3d4-e5f6-7890-abcd-ef1234567890
              signedTransaction: >-
                AQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAgAAEN...
        required: true
      responses:
        '200':
          description: Transaction executed successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExecuteRecurringResponse'
              example:
                status: Success
                signature: >-
                  5UfDuX7hXbTiKFJqS1MzGsNpbXTzMKJe2bZP1zrd7DnFBSChKvF2FVDNAuqz7SJpaHXTB9E5DP6tMjfZmVDMJRs
                order: 8mF4HKoPQNmtbRvTRqotb4LW3pz5rR3eB7owZL9FVKIW
                error: null
        '400':
          description: Bad request
        '500':
          description: Internal server error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ExecuteRecurring:
      type: object
      required:
        - requestId
        - signedTransaction
      properties:
        requestId:
          type: string
        signedTransaction:
          type: string
    ExecuteRecurringResponse:
      type: object
      required:
        - signature
        - status
      properties:
        error:
          type: string
          nullable: true
        order:
          type: string
          nullable: true
          description: Base-58 account which is the Recurring Order account
        signature:
          type: string
        status:
          type: string
          enum:
            - Success
            - Failed
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Get API key via https://developers.jup.ag/portal

````